import request from '@/utils/request'

// 查询基础数据-全局配置列表
export function getIsSystemAttributePage(query) {
  return request({
    url: '/iscs/attribute/getIsSystemAttributePage',
    method: 'get',
    params: query
  })
}

// 查询基础数据-全局配置详细
export function selectIsSystemAttributeById(id) {
  return request({
    url: '/iscs/attribute/selectIsSystemAttributeById?id=' + id,
    method: 'get'
  })
}

// 新增基础数据-全局配置配置
export function insertIsSystemAttribute(data) {
  return request({
    url: '/iscs/attribute/insertIsSystemAttribute',
    method: 'post',
    data: data
  })
}

// 修改基础数据-全局配置配置
export function updateIsSystemAttribute(data) {
  return request({
    url: '/iscs/attribute/updateIsSystemAttribute',
    method: 'post',
    data: data
  })
}

// 删除基础数据-全局配置配置
export function deleteIsSystemAttributeByIds(ids) {
  return request({
    url: '/iscs/attribute/deleteIsSystemAttributeByIds?ids=' + ids,
    method: 'post'
  })
}
// 查询基础数据  /dev-api/iscs/attribute/getIsSystemAttributeByKey
export function getIsSystemAttributeByKey(sysAttrKey) {
  return request({
    url: '/iscs/attribute/getIsSystemAttributeByKey?sysAttrKey=' + sysAttrKey,
    method: 'get'
  })
}

//刷新缓存 /dev-api/iscs/attribute/refreshAttrCache
export function refreshAttrCache() {
  return request({
    url: '/iscs/attribute/refreshAttrCache',
    method: 'delete'
  })
}
